Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class HandleCollection<E>

    java.lang.Object
      com.hammurapi.reasoning.impl.HandleCollection<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, ReadWriteLock

Direct Known Subclasses:
  HandleList, HandleSet

    public class HandleCollection<E>

extends Object
implements Collection<E>, ReadWriteLock

Field Summary
`protected Collection<Handle<E>>` | `handleCollection`
`protected KnowledgeBase<E>` | `knowledgeBase`

Constructor Summary
`HandleCollection(KnowledgeBase<E> kb, Collection<Handle<E>> handleCollection)`

Method Summary
`boolean` | `add(E e)`
`boolean` | `addAll(Collection<? extends E> c)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection<?> c)`
`boolean` | `isEmpty()`
`Iterator<E>` | `iterator()`
`Lock` | `readLock()`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection<?> c)`
`boolean` | `retainAll(Collection<?> c)`
`int` | `size()`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] a)`
`Lock` | `writeLock()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Field Detail

### handleCollection

    protected Collection<Handle<E>> handleCollection

### knowledgeBase

    protected KnowledgeBase<E> knowledgeBase

Constructor Detail

### HandleCollection

    public HandleCollection(KnowledgeBase<E> kb,
                            Collection<Handle<E>> handleCollection)

Method Detail

### add

    public boolean add(E e)

  Specified by:
    `add` in interface `Collection<E>`

### addAll

    public boolean addAll(Collection<? extends E> c)

  Specified by:
    `addAll` in interface `Collection<E>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<E>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<E>`

### containsAll

    public boolean containsAll(Collection<?> c)

  Specified by:
    `containsAll` in interface `Collection<E>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<E>`

### iterator

    public Iterator<E> iterator()

  Specified by:
    `iterator` in interface `Iterable<E>`
  Specified by:
    `iterator` in interface `Collection<E>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<E>`

### removeAll

    public boolean removeAll(Collection<?> c)

  Specified by:
    `removeAll` in interface `Collection<E>`

### retainAll

    public boolean retainAll(Collection<?> c)

  Specified by:
    `retainAll` in interface `Collection<E>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<E>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<E>`

### toArray

    public <T> T[] toArray(T[] a)

  Specified by:
    `toArray` in interface `Collection<E>`

### readLock

    public Lock readLock()

  Specified by:
    `readLock` in interface `ReadWriteLock`

### writeLock

    public Lock writeLock()

  Specified by:
    `writeLock` in interface `ReadWriteLock`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD